//
//  GMTCAuthorizationContext.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import <Foundation/Foundation.h>

#import "GMTSImmutableData.h"

NS_ASSUME_NONNULL_BEGIN

/** An immutable object representing the context needed to fetch an auth token. */
@interface GMTCAuthorizationContext : GMTSImmutableData

/** The ID of the trip to fetch an auth token for. */
@property(nonatomic, readonly) NSString *tripID;

/** This class has no public initializers. */
- (null_unspecified instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
