//
//  GMTCJourneySharingSession.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2022 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import "GMTCMapViewSession.h"

@class GMTCTripModel;

NS_ASSUME_NONNULL_BEGIN

@interface GMTCJourneySharingSession : NSObject <GMTCMapViewSession>

/** Delegate of the current journey sharing session. */
@property(nonatomic, nullable, weak) id<GMTCMapViewSessionDelegate> delegate;

/**
 * Returns the current session state. The possible state can be referenced from
 * |GMTCMapViewSessionState|.
 */
@property(nonatomic, readonly) GMTCMapViewSessionState state;

/** Returns the host map view of the current session. */
@property(nonatomic, nullable, weak, readonly) GMTCMapView *hostMapView;

/** Returns the associated trip session. */
@property(nonatomic, readonly) GMTCTripModel *tripModel;

/**
 * Initializes the session object.
 *
 * @param tripModel The target trip request.
 */
- (instancetype)initWithTripModel:(GMTCTripModel *)tripModel;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
