//
//  GMTSRequest.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import <Foundation/Foundation.h>

@class GMTSRequestHeader;

NS_ASSUME_NONNULL_BEGIN

/**
 * Request object that is an abstract class.
 */
@interface GMTSRequest : NSObject <NSCopying, NSMutableCopying>

/**
 * Header of the request, to specify extra request conditions.
 */
@property(nonatomic, copy, readonly, nullable) GMTSRequestHeader *requestHeader;

/**
 * Initialization of the object.
 *
 * @param requestHeader  A request header object to bind with the current request.
 */
- (instancetype)initWithRequestHeader:(nullable GMTSRequestHeader *)requestHeader;

/**
 * Use @c initWithRequestHeader: instead.
 */
- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
