//
//  GMTSRequestOptionsSupport.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import "GMTSRequest.h"

@class GMTSRequestOptions;
@class GPBMessage;

NS_ASSUME_NONNULL_BEGIN

/**
 * Extension for support of set request options.
 */
@protocol GMTSRequestOptionsSupport <NSObject>

/**
 * The current request options. Could be nil if was not set.
 */
- (nullable __kindof GMTSRequestOptions *)requestOptions;

/**
 * Generate a new request by applying the current options.
 *
 * @param requestOptions  The request options that want to be applied with.
 */
- (instancetype)updatedRequestByApplyingOptions:
    (nullable __kindof GMTSRequestOptions *)requestOptions;

@end

NS_ASSUME_NONNULL_END
